part of 'lesson_bloc.dart';

@immutable
abstract class LessonState extends Equatable {

  const LessonState();
  @override
  List<Object?> get props => [];
}

class LessonInitial extends LessonState {
  const LessonInitial();
  @override
  List<Object?> get props => [];
}

class LessonLoading extends LessonState {
  const LessonLoading();
}

class LessonFailed extends LessonState {
  final String? message;
  const LessonFailed(this.message);
}

class LessonSuccess extends LessonState {
  final LessonModel lessonModel;
  const LessonSuccess(this.lessonModel);
  @override
  List<Object?> get props => [lessonModel];
}

class LessonResetState extends LessonState {
  const LessonResetState();
}


